%if 0%{?fc7}
%else
  %define _remove_encoding --remove-key Encoding
%endif

Summary:	Music player for GNOME
Name:		decibel-audio-player
Version:	1.00
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://decibel.silent-blade.org/
Source0:	http://decibel.silent-blade.org/uploads/Main/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-desktop.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	dbus-python

%if 0%{?fc8}%{?fc9}
Requires:	gnome-python2
%else
Requires:	gnome-python2-gnome
%endif

Requires:	gnome-python2-gnomekeyring
Requires:	gstreamer-python
Requires:	hicolor-icon-theme
Requires:	notify-python
Requires:	pygtk2-libglade
Requires:	python-CDDB
Requires:	python-mutagen

BuildRequires:	desktop-file-utils
BuildRequires:	gettext

BuildArch:	noarch

%description
Decibel is an audio player that aims at being very straightforward to use by
means of a very clean and user friendly interface. It is especially targeted
at GNOME and will follow, as closely as possible, the GNOME HIG. It makes use
of the GStreamer library to read audio files.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
sed --in-place --expression '1d' ./src/%{name}.py

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

make install prefix=%{_prefix} INSTALL="%{__install} -p" \
  DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# icon
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-24.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-64.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m644 $RPM_BUILD_ROOT%{_datadir}/%{name}/pix/%{name}-128.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

desktop-file-install %{?_remove_encoding} --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/ChangeLog
%doc doc/LICENCE
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name}-remote.1*
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pix
%{_datadir}/%{name}/res
%{_datadir}/%{name}/src

%changelog
* Sun Jan 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 1.00-1
- Version bump to 1.00. Closes Red Hat Bugzilla bug #477262.
- Added 'Requires: notify-python'.

* Fri Nov 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.11-1
- Version bump to 0.11. Closes Red Hat Bugzilla bug #464479.
- Replaced 'Requires: gnome-python2' with 'Requires: gnome-python2-gnome' on
  all distributions starting from Fedora 10. Closes Red Hat Bugzilla bug
  #460027.
- Added 'Requires: python-CDDB'.

* Thu Jul 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.10-2
- Added 'Requires: gnome-python2-gnomekeyring'. Closes Red Hat Bugzilla bug
  #455780.

* Thu May 22 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.10-1
- Version bump to 0.10.

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.09-1
- Initial build.
- Fixed wrong MimeType.
- Removed Application from Categories.
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.
